require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to test the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator. If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails. There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.

RSpec.describe '/federation/followings', type: :request do
  # Federation::Following. As you add validations to Federation::Following, be sure to
  # adjust the attributes here as well.
  let(:valid_attributes) do
    skip('Add a hash of attributes valid for your model')
  end

  let(:invalid_attributes) do
    skip('Add a hash of attributes invalid for your model')
  end

  describe 'GET /show' do
    it 'renders a successful response' do
      actor = FactoryBot.create(:user, :confirmed).actor
      target_actor = FactoryBot.create(:user, :confirmed).actor
      following = FactoryBot.create :following, actor: actor, target_actor: target_actor
      get federation_actor_following_url(actor, following, format: :json)
      expect(response).to be_successful
    end
  end
end
